Bug 1438080 - Grafton DNS and DHCP requirements
Summary: Grafton DNS and DHCP requirements
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Laura Bailey
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2 1451861
TreeView+ depends on / blocked
 
Reported: 2017-03-31 20:17 UTC by joherr
Modified: 2017-11-17 05:28 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-29 04:10:59 UTC


Attachments (Terms of Use)

Description joherr 2017-03-31 20:17:06 UTC
Document URL: 
    https://doc-stage.usersys.redhat.com/documentation/en-us/red_hat_gluster_storage/3.2/html-single/deploying_red_hats_hyper-converged_infrastructure/

Its also in the article on access.redhat.com: 
    https://access.redhat.com/articles/2922421#c-automatically-set-up-storage-and-install-hosted-engine-7 

Section Number and Name: 

Describe the issue: 
    The document doe snot mention Name resolution or DHCP requirements, but when deploying it is needed.

Suggestions for improvement: 
    Mention that each host deployed must have a FQDN entry for its client network IP in the /etc/hosts file

    Mention that DNS is required to resolve each deployed hosts FQDN as well as the engines FQDN.

    Mention that a DHCP server will be needed if choosing DHCP for the Engine VM network configuration.


Additional information:

Comment 2 SATHEESARAN 2017-04-01 02:42:34 UTC
John,

What is the reason for having client network IP in /etc/hosts file,
When we say DNS is required to resolve each deployed hosts as well as the engine FQDN. Is it just to easily represent the hostname ?


With our test environment:

1. We have both front-end network IP and back-end network IP with assigned FQDN ( fully resolvable )

2. In some setups, we have only back-end network IP assigned with FQDN. In those cases we directly make use of IP itself.


So, having the client network IP with the FQDN or with IP could completely depend up on the users. I think we should not add this particular info to add IP to /etc/hosts, but rest of other information is required.

What do you think ?

Comment 3 joherr 2017-04-07 17:06:10 UTC
Sorry for the late response, I replied to the bug email and thought it would update this.

Response:

What is the reason for having client network IP in /etc/hosts file,
When we say DNS is required to resolve each deployed hosts as well as the engine FQDN. Is it just to easily represent the hostname ?

     I appologize. I dont know why I could not get this working without adding 
     it to the /etc/hosts file as well. I retried without it in the /etc/hosts 
     file and just having the ovirt/public network resolve via DNS and it works
     fine.

     So this does not need to be in the /etc/hosts file.


...

What do you think ?

    I agree.

Comment 9 SATHEESARAN 2017-06-14 11:22:56 UTC
Verified that the changes are available in the doc

Comment 10 Laura Bailey 2017-08-29 04:10:59 UTC
Fixed in RHGS 3.3 documentation.


Note You need to log in before you can comment on or make changes to this bug.